List Agent Test Runs
GET
https://x.kupe.in
/
v1
/
agents
/
{agent_id}
/
test-runs
List Agent Test Runs
import requests
url = "https://x.kupe.in/v1/agents/{agent_id}/test-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/agents/{agent_id}/test-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/agents/{agent_id}/test-runs \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"agent_id": "<string>",
"agent_version": 123,
"run_name": "<string>",
"multiplier": 123,
"status": "<string>",
"total_test_count": 123,
"completed_test_count": 123,
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"error": "<string>",
"results": [
{
"id": "<string>",
"test_id": "<string>",
"test_name": "<string>",
"attempt_number": 123,
"status": "<string>",
"passed": true,
"transcript": [
{
"role": "<string>",
"content": "<string>"
}
],
"tool_calls_made": [
{
"name": "<string>",
"args": {},
"mock_response": {}
}
],
"behavior_results": [
{
"behavior": "<string>",
"met": true,
"evidence": "<string>"
}
],
"judge_reasoning": "<string>",
"error": "<string>"
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List Agent Test Runs
import requests
url = "https://x.kupe.in/v1/agents/{agent_id}/test-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/agents/{agent_id}/test-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/agents/{agent_id}/test-runs \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"agent_id": "<string>",
"agent_version": 123,
"run_name": "<string>",
"multiplier": 123,
"status": "<string>",
"total_test_count": 123,
"completed_test_count": 123,
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"error": "<string>",
"results": [
{
"id": "<string>",
"test_id": "<string>",
"test_name": "<string>",
"attempt_number": 123,
"status": "<string>",
"passed": true,
"transcript": [
{
"role": "<string>",
"content": "<string>"
}
],
"tool_calls_made": [
{
"name": "<string>",
"args": {},
"mock_response": {}
}
],
"behavior_results": [
{
"behavior": "<string>",
"met": true,
"evidence": "<string>"
}
],
"judge_reasoning": "<string>",
"error": "<string>"
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
